> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getPreConfCoverage

> 네트워크 스테이크 대비 Preconfirmations 커버리지 비율과 지역별 분포를 가져옵니다.

이 메서드를 사용하여 [Preconfirmations 커버리지](/docs/ko/pre-confirmations/overview#커버리지)를 가져옵니다. 응답에는 네트워크 스테이크 커버리지와 지역별 분석이 포함됩니다.

## 엔드포인트

Helius [Gatekeeper](/docs/ko/gatekeeper/overview) 엔드포인트로 HTTP POST 요청을 보내세요.

```text theme={"system"}
POST https://beta.helius-rpc.com/?api-key=YOUR_API_KEY
```

## 인증

<ParamField query="api-key" type="string" required>
  `api-key` 쿼리 매개변수로 전달하는 Helius API 키입니다.
</ParamField>

## 본문

이 메서드는 매개변수를 사용하지 않습니다. 요청에서 `params`을 생략하세요.

## 응답

<ResponseField name="result.networkSharePercent" type="number">
  Helius와 BAM이 커버하는 전체 네트워크 스테이크의 비율입니다.
</ResponseField>

<ResponseField name="result.coverageByRegion" type="object">
  커버된 스테이크 중 각 지역이 차지하는 비율입니다. 예를 들어 `"fra": 0.27`은 프랑크푸르트가 커버된 스테이크의 27%를 차지한다는 의미입니다.
</ResponseField>

<Note>
  커버리지는 전달된 트랜잭션의 비율이 아니라 스테이크를 기준으로 측정됩니다.
  구독 필터와 관계없이 두 소스를 모두 포함하며 연속 스트림을
  보장하지 않습니다. [커버리지](/docs/ko/pre-confirmations/overview#커버리지)를 참조하세요.
</Note>

<RequestExample>
  ```bash cURL theme={"system"}
  curl "https://beta.helius-rpc.com/?api-key=YOUR_API_KEY" \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "getPreConfCoverage"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={"system"}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
      "networkSharePercent": 45.84,
      "coverageByRegion": {
        "ams": 0.21,
        "dub": 0.02,
        "ewr": 0.12,
        "fra": 0.27,
        "hkg": 0.01,
        "iad": 0.01,
        "lax": 0.02,
        "lon": 0.06,
        "pit": 0.01,
        "sea": 0.03,
        "sgp": 0.08,
        "slc": 0.01,
        "sqq": 0.09,
        "tyo": 0.06
      }
    }
  }
  ```
</ResponseExample>
